org.apache.ignite.internal.processors.continuous

## Class StartRoutineDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StartRoutineDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StartRoutineDiscoveryMessage
    extends AbstractContinuousMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Constructor Summary

Constructors
Constructor and Description
`StartRoutineDiscoveryMessage(UUID routineId, org.apache.ignite.internal.processors.continuous.StartRequestData startReqData)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`void` `addError(UUID nodeId, IgniteCheckedException e)`
`Map<UUID,IgniteCheckedException>` `errs()`
`boolean` `isMutable()`
`org.apache.ignite.internal.processors.continuous.StartRequestData` `startRequestData()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`id, incrementMinorTopologyVersion, routineId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartRoutineDiscoveryMessage

    public StartRoutineDiscoveryMessage(UUID routineId,
                                org.apache.ignite.internal.processors.continuous.StartRequestData startReqData)

Parameters:
  `routineId` - Routine id.
  `startReqData` - Start request data.

### Method Detail

#### startRequestData

    public org.apache.ignite.internal.processors.continuous.StartRequestData startRequestData()

Returns:
  Start request data.

#### addError

    public void addError(UUID nodeId,
                IgniteCheckedException e)

Parameters:
  `nodeId` - Node id.
  `e` - Exception.

#### errs

    public Map<UUID,IgniteCheckedException> errs()

Returns:
  Errs.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Overrides:
  `isMutable` in class `AbstractContinuousMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### ackMessage

    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015